#include "Platform.hxx"
#include <PceNativeCall.h>
#include "PalmOSAPI.hxx"
#include "FooImp.hxx"
#include "FooParam.hxx"

#ifdef PLATFORM_SIMULATOR
	#define EXPORT __declspec(dllexport)
	#define ARMLET_MAIN ARMlet_Foo
#else
	#define EXPORT
	#define ARMLET_MAIN ARMlet_Main
#endif


class FooParam;

extern "C"{

	EXPORT unsigned long ARMLET_MAIN( const void* pEmulState,
									  void* pUserData68K, Call68KFuncType* pCall68KFunc ) {
		PalmOSAPI api( pEmulState, pCall68KFunc );
		FooParam* pData = static_cast<FooParam*>( pUserData68K );
		pData->ReverseEndian( );
		unsigned long ret = FooImp::Execute( *pData, &api );
		pData->ReverseEndian( );
		return ret;
	}

}

