// MainForm.cpp
//
// This file implements the main form for
// your application.

#include "Common.h"
#include "MainForm.h"
#include "ARMletSampleApp.h"

#include "FooFactory.hxx"
#include "Foo.hxx"

// Form open handler
Boolean CMainForm::OnOpen( EventPtr pEvent, Boolean& bHandled ) {
	bHandled = false;
	return true;
}

// Clear Text button handler
Boolean CMainForm::OnTest( EventPtr pEvent, Boolean& bHandled ) {

	DoDataExchange( DDX_ControlToData );

	const Foo& foo = FooFactory::GetFoo( m_force68K );
	
	foo.Execute( TESTALERT );
	
	return true;
}
