// MainForm.h
//
// This file declares a class for the main form of
// your application.

#ifndef MAINFORM_H_
#define MAINFORM_H_

class CMainForm : public CForm {
public:
	// Form event handlers
	Boolean OnOpen(EventType* pEvent, Boolean& bHandled);

	// Command handlers
	Boolean OnTest(EventPtr pEvent, Boolean& bHandled);

	// Event map
	BEGIN_EVENT_MAP(CForm)
		EVENT_MAP_ENTRY(frmOpenEvent, OnOpen)
		EVENT_MAP_COMMAND_ENTRY(MAINTESTBUTTON, OnTest)
	END_EVENT_MAP()

	// Data exchange map
	BEGIN_DDX_MAP()
		DDX_CONTROL(MAINFORCE68K, m_force68K)
	END_DDX_MAP()

private:
	Int16 m_force68K;
	
};

#endif // MAINFORM_H_
